# Yahoo! UI Library

### datasource 3.3.0

Yahoo! UI Library > datasource > DataSourceCacheExtension
Search:
Filters Show Private Show Protected Show Deprecated

## Class DataSourceCacheExtension

DataSourceCache extension binds Cache to DataSource.

### Properties

#### NAME - `static final String`

Class name.

#### NS - `static final String`

The namespace for the plugin. This will be the property on the host which references the plugin instance.

### Methods

#### _beforeDefRequestFn

`protected void _beforeDefRequestFn ( e )`
First look for cached response, then send request to live data.

Parameters:
  `e <Event.Facade>` Event Facade with the following properties:
  tId (Number)
    Unique transaction ID.
  request (Object)
    The request.
  callback (Object)
    The callback object.
  cfg (Object)
    Configuration object.

#### _beforeDefResponseFn

`protected void _beforeDefResponseFn ( e )`
Adds data to cache before returning data.

Parameters:
  `e <Event.Facade>` Event Facade with the following properties:
  tId (Number)
    Unique transaction ID.
  request (Object)
    The request.
  callback (Object)
    The callback object with the following properties:
    success (Function)
      Success handler.
    failure (Function)
      Failure handler.
  data (Object)
    Raw data.
  response (Object)
    Normalized response object with the following properties:
    cached (Object)
      True when response is cached.
    results (Object)
      Parsed results.
    meta (Object)
      Parsed meta data.
    error (Object)
      Error object.
  cfg (Object)
    Configuration object.

#### initializer

`private void initializer ( config )`
Internal init() handler.

Parameters:
  `config <Object>` Config object.

Copyright © 2011 Yahoo! Inc. All rights reserved.